Deposit (Webhook-Ramp)

This notification is triggered when the status of deposit order is updated.

U-Ramp API Publisher Disclaimer

Event metadata

  • name: DEPOSIT
  • types:
    • ramp.deposit.pending – deposit pending confirmation
    • ramp.deposit.success – deposit successful
    • ramp.deposit.failed – deposit failed

Request body

FieldTypeDescription
event_idstringUnique event ID
event_namestringEvent name
event_typestringEvent type
source_idstringOrder ID
versionstringAPI version
dataobjectDeposit details object

Notification example

{
  "version": "V1.6.0",
  "event_name": "DEPOSIT",
  "event_type": "ramp.deposit.pending",
  "event_id": "3074863c-3281-4d0f-af1c-1a96feb9aa6b",
  "source_id": "660208f8-2fd2-4a2c-8a46-102848f62d42",
  "data": {
    "account_id": "b1b89684-c2c4-4d54-b8a8-3572727fd120",
    "account_name": "XX PTE LTD",
    "amount": "1000",
    "complete_time": "0001-01-01 00:00:00 +0000 UTC",
    "create_time": "2026-03-12 16:52:01 +0800 CST",
    "currency": "USDT",
    "direct_id": "0",
    "fee": "0",
    "from_address": "0x303039d7632c7341c681e889ea0073c3af1a2f0a",
    "network": "ETH",
    "order_id": "660208f8-2fd2-4a2c-8a46-102848f62d42",
    "order_status": "Pending",
    "reason": "test-reason",
    "short_order_id": "DP260312-8JSYVTVB",
    "to_address": "0x303039d7632c7341c681e889ea0073c3af1a2f6c",
    "transaction_type": "Deposit",
    "txid": "0x65590ef2a2ef1902f3644da38b19eaf4b953831c0deaac73cadce02ee356d5d6"
  }
}